ros-kinetic-schunk-sdh (0.6.14-1xenial) xenial; urgency=high

  * Merge pull request #215 <https://github.com/ipa320/schunk_modular_robotics/issues/215> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Merge branch 'indigo_dev' of github.com:ipa320/schunk_modular_robotics into indigo_release_candidate
  * Merge pull request #199 <https://github.com/ipa320/schunk_modular_robotics/issues/199> from ipa320/indigo_dev
    Indigo dev
  * Contributors: Christian Rauch, Felix Messmer, fmessmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 20 Nov 2019 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.13-1xenial) xenial; urgency=high

  * Merge pull request #212 <https://github.com/ipa320/schunk_modular_robotics/issues/212> from christian-rauch/sdhlib_source
    Replace binary sdh library with source SDHLibrary-CPP
  * add source dependency on 'sdhlibrary_cpp'
  * remove binary distribution of SDHLibrary-CPP
  * Merge pull request #210 <https://github.com/ipa320/schunk_modular_robotics/issues/210> from christian-rauch/sdh_only_services
    backport services to SDH only node
  * use private namespace for sdh_only node
  * backport temperature publisching to sdh_only node
  * backport services to sdh_only node
  * Contributors: Christian Rauch

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 19 Aug 2019 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.12-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Aug 2018 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.11-1xenial) xenial; urgency=high

  * Merge pull request #204 <https://github.com/ipa320/schunk_modular_robotics/issues/204> from christian-rauch/pressure
    Publish tactile data as pressure
  * report pressure in Pascal (Pa)
  * publish tactile matrix in pressure units
  * configure DSA debug level and tactile sensitivity through ROS parameters
  * Merge pull request #202 <https://github.com/ipa320/schunk_modular_robotics/issues/202> from christian-rauch/fix_exceptions
    Revert "catch exceptions by const reference"
  * Revert "catch exceptions by const reference"
    This reverts commit 0da887264e5ccfbbf5b552f5c50e45d80fe0a01a.
  * Contributors: Christian Rauch, Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 20 Jul 2018 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.10-1xenial) xenial; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #195 <https://github.com/ipa320/schunk_modular_robotics/issues/195> from christian-rauch/motor_power_switch
    Motor power switch
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * skip check of alternative SDH device types
  * catch exceptions by const reference
  * provide messages for successfull service calls
  * disable / enable motor power
  * change maintainer
  * Merge pull request #192 <https://github.com/ipa320/schunk_modular_robotics/issues/192> from christian-rauch/disable_motors
    Services for disabling motors
  * rename 'disconnect' service to 'shutdown'
  * remove unused 'srvCallback_Recover'
  * 'disconnect' and 'emergency_stop' services return true when finished
  * close connection to DSA
  * deinitialise at stop and disconnect
  * services for stopping motors
  * Merge pull request #193 <https://github.com/ipa320/schunk_modular_robotics/issues/193> from christian-rauch/pub_temperature
    Publish temperatures for monitoring overheating
  * publish temperatures
  * enable C++11
  * use license apache 2.0
  * Contributors: Christian Rauch, Felix Messmer, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 07 Jan 2018 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.9-1xenial) xenial; urgency=high

  * properly link and install SDHLibrary
  * manually fix changelog
  * Merge branch 'indigo_dev' of https://github.com/ipa320/schunk_modular_robotics into indigo_dev
  * renamed diagnostics topic
  * Contributors: Mathias Lüdtke, ipa-fxm, ipa-nhg

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 16 Jul 2017 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.8-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 09 Oct 2016 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.7-1xenial) xenial; urgency=high

  * do not use the autostart flag for the action sever and start it manually
    to get rid of the race condition warning
  * fix missing add_dependencies
  * sdh_only.cpp mostly roslint compatible
  * dsa_only roslint compatible
  * schunk_sdh/ros/src/sdh.cpp less roslint issues
  * Whitespace formatting (C++ files)
  * Fix whitespaces in header files (automatic)
  * Added roslint to CMakeLists and package
  * Format
  * Format according to roscpp style guide, inline with https://github.com/ipa320/setup/blob/master/coding_introduction/CodingIntroduction.md#ros-coding-styles
  * Contributors: Wolfgang Merkt, demo, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 31 Mar 2016 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.6-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 31 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.5-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.4-1xenial) xenial; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 24 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.3-1xenial) xenial; urgency=high

  * fix topic names
  * replace brics_actuator
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * adapt schunk_sdh to new namespaces
  * beautify CMakeLists
  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Tue, 16 Jun 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.2-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 15 Dec 2014 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.1-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 21 Sep 2014 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.0-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Wed, 17 Sep 2014 23:00:00 -0000

ros-kinetic-schunk-sdh (0.5.6-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Tue, 26 Aug 2014 23:00:00 -0000

ros-kinetic-schunk-sdh (0.5.5-1xenial) xenial; urgency=high

  * enforce sdh operation mode on init
  * cleaning up
  * Merge pull request #81 <https://github.com/ipa320/schunk_modular_robotics/issues/81> from ipa320/hydro_release_candidate
    bring back changes from Hydro release candidate
  * Update package.xml
  * New maintainer
  * Contributors: Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, ipa-fxm, ipa-nhg

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 25 Aug 2014 23:00:00 -0000

ros-kinetic-schunk-sdh (0.5.4-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Fri, 28 Mar 2014 00:00:00 -0000

ros-kinetic-schunk-sdh (0.5.3-1xenial) xenial; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * Update package.xml
  * Merge branch 'hydro_dev' into hydro_release_candidate
  * Merge pull request #74 <https://github.com/ipa320/schunk_modular_robotics/issues/74> from ipa-fxm/hydro_dev
    install_tags
  * find architecture using dpkg
  * Update package.xml
  * install tags
  * Merge branch 'hydro_dev' of github.com:ipa320/schunk_modular_robotics into hydro_dev
  * some catkin_lint
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 27 Mar 2014 00:00:00 -0000

ros-kinetic-schunk-sdh (0.5.2-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 27 Mar 2014 00:00:00 -0000

ros-kinetic-schunk-sdh (0.5.1-1xenial) xenial; urgency=high

  * removed a lot of code related to packages not available in hydro anymore
  * fixed dependency
  * added libusb dependency
  * Merge branch 'groovy_dev' into feature/catkin
  * overwrite link if exists
  * changed custom_command to custom_target for dependencies
  * Merge branch 'feature/catkin' of github.com:abubeck/schunk_modular_robotics into feature/catkin
  * changed library to be an imported library
  * cmake based shared library linking
  * added genmsg
  * deleted deprecated file
  * fixed linking error of SDH and CAN libraries
  * Initial catkinization. Still a linking error in sdh lib.
  * Added mapping of joint_values to koint_names
  * updated DSA polling policy
  * updated SDHLibrary version 0.0.2.6 for i386
  * Revert "removed ESD support flags"
    This reverts commit 34fb0db2b990423d7d0efc95602a1119835c8b53.
  * updated to SDHLibrary version 0.0.2.6, currenty only for x86_64!
  * dsa: added push stop on start
  * removed ESD support flags
  * dsa: proper shutdown
  * dsa: fixed frequency setting
  * init topic in contructor
  * dsa: added push mode frequency
  * dsa: implemented polling mode
  * dsa: debug output, logic fixes
  * dsa: error counter decrement logic
  * dsa: clean-up
  * dsa: added reorder parameter
  * dsa: added various parameters, auto-publish feature
  * dsa: switched to timer callbacks
  * dsa: error count in diagnostics msg
  * dsa: node handle passing in constructor
  * dsa_only compiles
  * dsa_only: 60 Hz loop
  * dsa_only: removed services
  * schunk_sdh: added error counter in dsa_only
  * splitted version of sdh/dsa driver
  * add effort to joint_states
  * added brics velocity interface to schunk_sdh
  * fixed warning
  * whitespace
  * schunk_sdh: stop hand on mode change
  * schunk_sdh: read operation mode from paramter server
  * schunk_sdh: reordered tactile data to match joint state order
  * schunk_sdh: added some more sanity checks
  * schunk_sdh: renamed set_velocities to set_velocities_raw
  * schunk_sdh: fixed joint order
  * schunk_sdh: fixed mode switching
  * schunk_sdh: init with position mode as default
  * call to MoveHand is not needed because SetAxisTargetVelocity takes effect immediately
  * schunk_sdh: added set_velocities topic and velocity control mode
  * schunk_sdh: set_operation_mode switches the SDH controller as well
  * schunk_sdh: operation mode is a member variable now
  * Merge pull request #2 <https://github.com/ipa320/schunk_modular_robotics/issues/2> from ipa-fxm/master
    JointTrajectoryAction -> FollowJointTrajectoryAction
  * Addapted the sdh driver for sdh without sensors
  * switched from pr2_controllers_msgs::JointTrajectoryAction to control_msgs::FollowJointTrajectory
  * remap recover service to init
  * Merge pull request #3 <https://github.com/ipa320/schunk_modular_robotics/issues/3> from abubeck/master
    fuerte support, compatible with electric
  * fuerte migration
  * removed unused files
  * sdh library version 0.0.2.18 for 32-bit
  * setup cob3-4
  * added diagnotic topic for initialization states for sdh
  * chancged action to private namespace
  * using private namespace
  * using private namespace
  * renamed to schunk
  * moved sdh to schunk repository
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Weißhardt, Jan Fischer, Mathias Lüdtke, abubeck, ipa-fmw, ipa-fxm, ipa-mdl, robot

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 20 Mar 2014 00:00:00 -0000


